Bug 179234 - [PATCH] audio/mpc: update to 0.22, Remove EXAMPLES DOCS Options, add license
Summary: [PATCH] audio/mpc: update to 0.22, Remove EXAMPLES DOCS Options, add license
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-02 23:20 UTC by nemysis
Modified: 2013-06-17 15:40 UTC (History)
1 user (show)

See Also:


Attachments
mpc-0.22.patch (2.83 KB, patch)
2013-06-02 23:20 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-06-02 23:20:02 UTC
- Update to 0.22
- Add license
- Remove EXAMPLES DOCS Options
- Fix examples
- Cleanup Makefile
- Trim pkg-descr

Port maintainer (ports@mark.reidel.info) is cc'd.

Generated and tested manually, tested with port test and with RedPorts, sent with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)

How-To-Repeat: 
Build log

https://redports.org/buildarchive/20130602193101-63526/
Comment 1 Edwin Groothuis freebsd_committer 2013-06-02 23:20:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

beech@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-06-02 23:20:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2013-06-02 23:20:27 UTC
Maintainer of audio/mpc,

Please note that PR ports/179234 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179234

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Mark Daniel Reidel 2013-06-03 05:14:05 UTC
I approve this patch :o)
Comment 5 William Grzybowski freebsd_committer 2013-06-17 15:22:04 UTC
Responsible Changed
From-To: beech->wg

I'll take it.
Comment 6 dfilter service freebsd_committer 2013-06-17 15:37:28 UTC
Author: wg
Date: Mon Jun 17 14:37:20 2013
New Revision: 321115
URL: http://svnweb.freebsd.org/changeset/ports/321115

Log:
  audio/mpc: update to 0.22
  
  - Update to 0.22
  - Add LICENSE (GPLv2)
  - Remove spaces from WWW in pkg-descr
  - New form for pkgconfig
  
  PR:		ports/179234
  Submitted by:	nemysis <nemysis@gmx.ch>
  Approved by:	culot / jpaetzel (mentors, implicit), maintainer

Modified:
  head/audio/mpc/Makefile
  head/audio/mpc/distinfo
  head/audio/mpc/pkg-descr

Modified: head/audio/mpc/Makefile
==============================================================================
--- head/audio/mpc/Makefile	Mon Jun 17 14:36:27 2013	(r321114)
+++ head/audio/mpc/Makefile	Mon Jun 17 14:37:20 2013	(r321115)
@@ -2,41 +2,37 @@
 # $FreeBSD$
 
 PORTNAME=	mpc
-PORTVERSION=	0.21
+PORTVERSION=	0.22
 CATEGORIES=	audio ipv6
-MASTER_SITES=	SF/musicpd/${PORTNAME}/${PORTVERSION}
+MASTER_SITES=	SF/musicpd/${PORTNAME}/${PORTVERSION}/
 
 MAINTAINER=	ports@mark.reidel.info
 COMMENT=	Command line client for the musicpd
 
+LICENSE=	GPLv2
+
 LIB_DEPENDS=	mpdclient:${PORTSDIR}/audio/libmpdclient
 
 OPTIONS_DEFINE=	EXAMPLES DOCS ICONV
 OPTIONS_DEFAULT=	ICONV
-ICONV_DESC=	Support for international characters
 
+USES=		pkgconfig
 USE_BZIP2=	yes
 GNU_CONFIGURE=	yes
-USE_GNOME=	pkgconfig
 LDFLAGS+=	-L${LOCALBASE}/lib
 CFLAGS+=	-I${LOCALBASE}/include
 
+MAN1=		${PORTNAME}.1
+
 PORTDOCS=	AUTHORS README NEWS
+PORTEXAMPLES=	*
 
-PLIST_FILES=	bin/${PORTNAME} %%PORTEXAMPLES%%%%EXAMPLESDIR%%/${PORTNAME}-completion.bash
+PLIST_FILES=	bin/${PORTNAME}
 
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MEXAMPLES}
-PLIST_DIRS=	%%EXAMPLESDIR%%
-.endif
-
-.ifndef(NO_INSTALL_MANPAGES)
-MAN1=		${PORTNAME}.1
-.endif
-
 .if ${PORT_OPTIONS:MICONV}
-USES=	iconv
+USES+=		iconv
 .else
 CONFIGURE_ARGS+=--disable-iconv
 .endif
@@ -45,19 +41,18 @@ post-patch:
 	@${REINPLACE_CMD} -e 's|-lintl|-liconv|g' ${WRKSRC}/configure
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/src/${PORTNAME} ${PREFIX}/bin/
+	${INSTALL_PROGRAM} ${WRKSRC}/src/${PORTNAME} ${PREFIX}/bin
+
 .if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-.for i in ${PORTDOCS}
-	${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}
-.endfor
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
 .endif
+
 .if ${PORT_OPTIONS:MEXAMPLES}
 	@${MKDIR} ${EXAMPLESDIR}
 	${INSTALL_DATA} ${WRKSRC}/doc/${PORTNAME}-completion.bash ${EXAMPLESDIR}
 .endif
-.ifndef(NO_INSTALL_MANPAGES)
-	${INSTALL_MAN} ${WRKSRC}/doc/${PORTNAME}.1 ${MAN1PREFIX}/man/man1/
-.endif
+
+	${INSTALL_MAN} ${WRKSRC}/doc/${PORTNAME}.1 ${MAN1PREFIX}/man/man1
 
 .include <bsd.port.mk>

Modified: head/audio/mpc/distinfo
==============================================================================
--- head/audio/mpc/distinfo	Mon Jun 17 14:36:27 2013	(r321114)
+++ head/audio/mpc/distinfo	Mon Jun 17 14:37:20 2013	(r321115)
@@ -1,2 +1,2 @@
-SHA256 (mpc-0.21.tar.bz2) = 2fd743c42a52e5de376e774dd968541f6b6273ec782c66600b75d740f8b47cc2
-SIZE (mpc-0.21.tar.bz2) = 99936
+SHA256 (mpc-0.22.tar.bz2) = cc42811d7ed8e65d50a0aaf1edf29597e3e264b06026b40da88a8a763a2dd334
+SIZE (mpc-0.22.tar.bz2) = 102296

Modified: head/audio/mpc/pkg-descr
==============================================================================
--- head/audio/mpc/pkg-descr	Mon Jun 17 14:36:27 2013	(r321114)
+++ head/audio/mpc/pkg-descr	Mon Jun 17 14:37:20 2013	(r321115)
@@ -2,4 +2,4 @@ A client for MPD, the Music Player Daemo
 mpc connects to a MPD running on a machine via a network.
 Read more about MPD on http://www.musicpd.org
 
-WWW:	http://www.musicpd.org
+WWW: http://www.musicpd.org
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 William Grzybowski freebsd_committer 2013-06-17 15:37:31 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!